
<div class="modal-header">
    <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
    <h4 class="modal-title"><?php echo $heading_title;?></h4>
</div>
<div class="modal-body">
    <div class="avail-header">
        <div class="row">
            <div class="col-lg-8 col-md-8 col-sm-8 col-xs-9 col-480-12">
                <div class="row">
                    <div class="col-lg-3 col-md-3 col-sm-4 col-xs-4 col-480-5">
                        <span><?php echo $text_product;?></span>
                    </div>
                    <?php if(isset($optionsNames)) { ?>   <div class="col-lg- col-md-4 col-sm-8 col-xs-8 hidden-480"></div>
                    <div class="col-lg-6 col-md-5 hidden-sm col-xs-8 col-480-7"><span><?php echo $text_detail;?></span></div>  <?php } ?>
                </div>
            </div>

            <div class="col-lg-4 col-md-4 col-sm-4 col-xs-3 hidden-480"><span><?php echo $text_price;?></span></div>
        </div>
    </div>
    <div class="avail-body">
        <div class="row">
            <div class="col-lg-8 col-md-8 col-sm-8 col-xs-9 col-480-12">
                <div class="row">
                    <div class="product-image <?php echo ($avail_show_img == '1') ? "col-lg-3 col-md-3 col-sm-4 col-xs-4 col-480-5" : "hidden" ;?>">
                    <a href=""><img src="<?php echo $image_src; ?>" alt=""></a>
                </div>
                <div class="<?php echo ($avail_show_img == '1') ? "col-lg-9 col-md-4 col-sm-8 col-xs-8 col-480-7" : "col-lg-12 col-md-12 col-sm-12 col-xs-12"; ?> ">
                <p class="product-name"><?php echo $product_name;?></p>

            </div>



            <?php
                        if(isset($optionsNames)) { ?>



            <div class="col-lg-9 col-md-5 col-sm-8 col-xs-8 col-480-7">
                <ul class="options">
                    <?php foreach ($optionsNames as $index => $value ) { ?>
                    <li>
                        <label><?php echo $value['name'].' : '.$value['value_name']; ?></label>
                        <input type="text" class="hidden" name="option_type[]" value="<?php echo $value['name']; ?>">
                        <input type="text" class="hidden" name="option_name[]" value="<?php echo $value['value_name']; ?>">
                        <span class="option-title"><?php echo $value['name'];?>:</span>
                        <span class="option"><?php echo $value['value_name']; ?></span></li>
                    <?php } ?>
                </ul>
            </div>
            <?php  }   ?>
        </div>
    </div>

    <div class="col-lg-4 col-md-4 col-sm-4 col-xs-3 col-480-7 col-480-offset-5">
        <p class="price"><?php if (!$special) { ?>
            <?php echo $price; ?>
            <?php } else { ?>
            <span style="text-decoration: line-through;"><?php echo $price; ?></span>
            <?php echo $special; ?>
            <?php } ?></p>
    </div>
    <div class="hidden">
        <input type="text" name="product_id" id="input-product-id" value="<?php echo $product_id; ?>">
    </div>
</div>
</div>
<div class="avail-footer">
    <div class="row">
        <div class="col-lg-7 col-md-7 col-sm-7 col-xs-12">
            <div class="review-block">
                <textarea name="enquiry" rows="3" cols="50" placeholder="<?php echo $entry_enquiry; ?>" id="textarea-enquiry"></textarea>
                <label for=""><?php echo $entry_enquiry; ?></label>
            </div>
        </div>
        <div class="col-lg-5 col-md-5 col-sm-5 col-xs-12">
            <div class="name-block">
                <input type="text" name="name" placeholder="<?php echo $entry_name; ?>" value="<?php echo $first_name;?>">
                <label for=""><?php echo $entry_name; ?></label>
            </div>
            <div class="hidden">
                <input type="text" name="language_id" value="<?php echo $language_id; ?>">
            </div>
            <div class="col-sm-12 left-mail-block hidden">
                <input type="text" name="logged_id" id="input-id" value="<?php echo $logged_id;?>">
            </div>
            <div class="mail-block">
                <input type="text" name="email" id="input-email" placeholder="<?php echo $entry_mail; ?>" value="<?php echo $mail;?>">
                <label for=""><?php echo $entry_mail; ?></label>
            </div>
            <!-- <div class="phone-block">
                 <input name="phone" type="text" placeholder="<?php echo $entry_phone; ?>">
                 <label for=""><?php echo $entry_phone; ?></label>
             </div>     -->
            <button type="submit" class="avail-send"><i class="fa <?php echo $avail_icon_send_notify;?>"></i> <?php echo ' '.$button_send;?></button>
        </div>
    </div>
</div>
</div>
<!--start captcha-->

<!--end captcha-->

<style>

    #edit-modal-avail{
        z-index: 9999 !important;
    }
    #edit-modal-avail .modal-footer button[type="submit"]{
        background:<?php echo '#'.$avail_background_button_send_notify; ?>;
        border:<?php echo '1px solid #'.$avail_border_button_send_notify; ?>;
        color: <?php echo '#'.$avail_text_button_send_notify; ?>
    }

    #edit-modal-avail .has-error{
        border-color: #f7716f;
        box-shadow: inset 0px 0px 2px 1px #f7716f;
    }
    .g-recaptcha iframe.has-error{
        border-color: #f7716f;
        box-shadow: 0px 0px 3px 2px #f7716f!important;
    }
    #avail-captcha div{
        width:100%!important;
    }

</style>


<script type="text/javascript">
    // убераем обработчик на submit
    $('button.close').click(function(){
        $('form').off('submit',formSubmition)
    })

    $("form").on("submit", formSubmition);

    function formSubmition(e){
        e.preventDefault();
        var form = $(this);
        var submitButton = form.find('input[type=submit]');
        submitButton.attr('disabled', 'disabled');
        var str = form.serialize();

        $.ajax({
            url : 'index.php?route=module/avail/save',
            type : 'POST',
            dataType: 'json',
            data : str
        })
            .success(function(json) {

                if (json['success']) {
                    $(".error").remove();
                    submitButton.attr('disabled', 'disabled');
                    var message = "<div class='mail-block success-block'>" + json['success'] + "</div>";
                    $(".modal-body").replaceWith(message);
                    $(".block-with-avail-captcha").addClass("hidden");
                    $(".modal-footer .btn-primary").addClass("hidden");
                    //	$(".center").last().after(message);
                }
                if (json['error_name']) {
                    $('input[name=name]').parent().find(".error").remove();
                    submitButton.removeAttr('disabled');
                    //$('input[name=name]').after("<div class='error'>" + json['error_name'] + "</div>");
                    $('input[name=name]').addClass('has-error');
                } else {
                    // $('input[name=name]').parent().find(".error").remove();
                    $('input[name=name]').removeClass('has-error');
                }
                if (json['error_email']) {
                    $('input[name=email]').parent().find(".error").remove();
                    submitButton.removeAttr('disabled');
                    // $('input[name=email]').after("<div class='error'>" + json['error_email'] + "</div>");
                    $('input[name=email]').addClass('has-error');
                } else {
                    // $('input[name=email]').parent().find(".error").remove();
                    $('input[name=email]').removeClass('has-error');
                }
                if (json['error_product']) {
                    $('input[name=product]').parent().find(".error").remove();
                    submitButton.removeAttr('disabled');
                    //  $('input[name=product]').after("<div class='error'>" + json['error_product'] + "</div>");
                    $('input[name=product]').addClass('has-error');
                } else {
                    // $('input[name=product]').parent().find(".error").remove();
                    $('input[name=product]').removeClass('has-error');
                }
                if (json['error_price']) {
                    $('input[name=price]').parent().find(".error").remove();
                    submitButton.removeAttr('disabled');
                    $('input[name=price]').after("<div class='error'>" + json['error_price'] + "</div>");
                } else {
                    $('input[name=price]').parent().find(".error").remove();
                }
                if (json['error_captcha']) {
                    $('.g-recaptcha').parent().find(".error").remove();
                    submitButton.removeAttr('disabled');
                    $('.g-recaptcha iframe').addClass('has-error');
                    //  $('.g-recaptcha').after("<div class='error'>" + json['error_captcha'] + "</div>");
                } else {
                    $('.g-recaptcha div:last-child').removeClass('has-error');
                    // $('.g-recaptcha').parent().find(".error").remove();
                }

            })
            .error(function(json){
                $(".error").remove();
                submitButton.attr('disabled', 'disabled');
                var message = "<div class='error'>" + json + "</div>";
                $(".center").last().after(message);
            });
    }
</script>