<?php echo $header; ?>
<div class="container">
    <ul class="breadcrumb">
        <?php foreach ($breadcrumbs as $breadcrumb) { ?>
        <li><a href="<?php echo $breadcrumb['href']; ?>"><?php echo $breadcrumb['text']; ?></a></li>
        <?php } ?>
    </ul>
    <div class="row"><?php echo $column_left; ?>
        <?php if ($column_left && $column_right) { ?>
        <?php $class = 'col-sm-6'; ?>
        <?php } elseif ($column_left || $column_right) { ?>
        <?php $class = 'col-sm-9'; ?>
        <?php } else { ?>
        <?php $class = 'col-sm-12'; ?>
        <?php } ?>
        <div id="content" class="<?php echo $class; ?>"><?php echo $content_top; ?>
            <h1><?php echo $heading_title; ?></h1>

            <table class="table table-bordered table-hover">
                <thead>
                <tr>
                    <td class="text-left"><?php echo $text_data_add; ?></td>
                    <td class="text-left"><?php echo $text_product; ?></td>
                    <td class="text-right"><?php echo $text_quantity; ?></td>
                </tr>
                </thead>
                <tbody>
                <?php if($avails) { ?>
                <?php foreach($avails as $avail) { ?>
                <tr>
                    <td class="text-left"><?php echo $avail['time']; ?></td>
                    <td class="text-left"><a href="<?php echo $avail['link_page'];?>"><?php echo $avail['product_name']; ?></a>
                        <?php if($avail['option']) {?>
                        <?php  foreach($avail['option'] as $option){?>
                        <p><?php echo $option['option_type']. ':' . $option['option_name'] . '('. $option['option_quantity'] .')'; ?></p>
                        <?php } ?>
                        <?php } ?></td>
                    <td class="text-right"><?php echo ($avail['quantity'] >0)?$text_yes:$text_no; ?></td>
                    <td class="text-right"> <a href="/index.php?route=account/avail/delete&avail_id=<?php echo $avail['id']; ?>" class="btn btn-danger"><?php echo $text_delete; ?></a>


                    </td>
                </tr>
                <?php } ?>
                <?php } else {?>
                <tr>
                <td class="text-center" colspan="3"><?php echo $text_notify_no; ?></td>
                </tr>
                <?php } ?>
                </tbody>
            </table>

            
            <?php echo $content_bottom; ?></div>
        <?php echo $column_right; ?></div>
</div>
<?php echo $footer; ?>